## org.eclipse.amp.amf.testing.ui.quickfix
Class ATestQuickfixProvider

    java.lang.Object
      org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
          org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
              org.eclipse.amp.amf.testing.ui.quickfix.ATestQuickfixProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

    public class ATestQuickfixProvider

extends org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider
`org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider.NullImpl`

Constructor Summary
`ATestQuickfixProvider()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
`createLinkingIssueResolutions, getResolutions, getResolutionsForLinkingIssue, hasResolutionFor`

Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
`setIssueResolutionAcceptorProvider`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestQuickfixProvider

    public ATestQuickfixProvider()